aboutsummaryrefslogtreecommitdiff
path: root/debian
diff options
context:
space:
mode:
authorBen Pfaff <blp@nicira.com>2012-02-28 16:31:45 -0800
committerBen Pfaff <blp@nicira.com>2012-02-28 17:11:19 -0800
commit337ad354101828ba29004dd2a69c975e933798b3 (patch)
treebbb5517819ed8dda89b5fd20e8e0f71a2802ffa7 /debian
parentec9312500e14eda64d1fa7ea15dfa56691992c61 (diff)
debian: Fix exit status of openvswitch-switch init script "status" command.
The init script ends with an explicit "exit 0" so nonzero exit codes from "ovs-ctl status" were being lost. Bug #9714. Reported-by: Paul Ingram <paul@nicira.com> CC: Sujatha Shetty <sshetty@nicira.com> Signed-off-by: Ben Pfaff <blp@nicira.com>
Diffstat (limited to 'debian')
-rwxr-xr-xdebian/openvswitch-switch.init3
1 files changed, 2 insertions, 1 deletions
diff --git a/debian/openvswitch-switch.init b/debian/openvswitch-switch.init
index 6f08c3fa..cb9670cb 100755
--- a/debian/openvswitch-switch.init
+++ b/debian/openvswitch-switch.init
@@ -1,6 +1,6 @@
#! /bin/sh
#
-# Copyright (C) 2011 Nicira Networks, Inc.
+# Copyright (C) 2011, 2012 Nicira Networks, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
@@ -86,6 +86,7 @@ case $1 in
;;
status)
ovs_ctl status
+ exit $?
;;
force-reload-kmod)
start force-reload-kmod